#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0xc450283b, "rt2x00mac_bss_info_changed" },
	{ 0x11656d16, "rt2x00mac_get_ringparam" },
	{ 0x7117549f, "rt2x00usb_flush_queue" },
	{ 0x9514151a, "_mcount" },
	{ 0x6c72d10f, "rt2x00usb_initialize" },
	{ 0x6db867ff, "rt2x00usb_uninitialize" },
	{ 0x97eb202d, "rt2x00mac_set_antenna" },
	{ 0x27d79696, ".consume_skb" },
	{ 0x361f5045, "rt2x00usb_resume" },
	{ 0x32efdd71, ".rt2x00usb_vendor_request_buff" },
	{ 0xf0d3ca46, "rt2x00usb_kick_queue" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x2b4c9eb1, "rt2x00mac_tx" },
	{ 0xf9528956, ".rt2x00mac_conf_tx" },
	{ 0xba7d62e, "rt2x00mac_flush" },
	{ 0x8e99211f, "rt2x00usb_disconnect" },
	{ 0x1ff5547f, "rt2x00mac_configure_filter" },
	{ 0x8083265a, ".skb_trim" },
	{ 0xccb2eae7, ".skb_push" },
	{ 0xd8bb72d4, ".mutex_lock" },
	{ 0xeb5b4988, "rt2x00mac_stop" },
	{ 0x4ce9b574, "rt2x00mac_set_tim" },
	{ 0xf8c00e83, "rt2x00mac_rfkill_poll" },
	{ 0xb4d83ba4, "rt2x00mac_start" },
	{ 0x48cc31c8, ".rt2x00usb_regbusy_read" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xf82741e2, "rt2x00usb_clear_entry" },
	{ 0x3398f38f, "rt2x00usb_suspend" },
	{ 0x848b7779, "rt2x00mac_config" },
	{ 0x8703ac35, "rt2x00usb_watchdog" },
	{ 0x9cabc42f, "rt2x00mac_remove_interface" },
	{ 0x5938e274, ".usb_deregister" },
	{ 0x68b20be5, ".skb_pad" },
	{ 0x9514151a, "._mcount" },
	{ 0x99ed9701, ".usb_register_driver" },
	{ 0xbec1960e, ".skb_pull" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x6067a146, ".memcpy" },
	{ 0x11538d74, ".rt2x00usb_vendor_request" },
	{ 0xf7cb87f1, "rt2x00mac_tx_frames_pending" },
	{ 0xd21eab07, "rt2x00mac_sw_scan_start" },
	{ 0xcc0e2ec9, "rt2x00mac_set_key" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x27e1a049, ".printk" },
	{ 0xd0a3e9fd, ".rt2x00usb_disable_radio" },
	{ 0x61f91dfa, ".rt2x00usb_probe" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x8af4204b, ".mutex_unlock" },
	{ 0x7e7982d0, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0xa473cffe, "rt2x00mac_get_stats" },
	{ 0x456d150c, "rt2x00mac_get_antenna" },
	{ 0x276c7e62, ".crc_itu_t" },
	{ 0xd29b009f, "crc_itu_t_table" },
	{ 0x4a160c15, "rt2x00mac_add_interface" },
	{ 0xbe7f6606, "rt2x00mac_sw_scan_complete" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore,crc-itu-t";

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5F93C1D27BA1138351B19CD");
