#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0xdb6af661, ".usb_string" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x9514151a, "_mcount" },
	{ 0x4f8e7e00, ".usb_free_urb" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0x2ed260e3, ".snd_card_register" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x9edbecae, ".snprintf" },
	{ 0x839f5a78, ".snd_pcm_lib_preallocate_pages_for_all" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x53654e9e, ".__snd_printk" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0x5e8ba06c, ".snd_pcm_new" },
	{ 0x315b4eb3, ".input_register_device" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x61529f4a, ".usb_init_urb" },
	{ 0xe2127f0b, ".snd_rawmidi_transmit" },
	{ 0x9e4c7c98, ".usb_set_interface" },
	{ 0x279c9c52, ".snd_pcm_lib_malloc_pages" },
	{ 0x37a0cba, ".kfree" },
	{ 0x21d75c9b, ".snd_pcm_lib_free_pages" },
	{ 0x6034ffd, ".usb_alloc_urb" },
	{ 0x81839d79, ".snd_pcm_set_ops" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x72aa82c6, "param_ops_charp" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0x2d79017, ".snd_pcm_period_elapsed" },
	{ 0x26bc45e2, ".usb_bulk_msg" },
	{ 0x6e278027, ".snd_card_disconnect" },
	{ 0x672144bd, ".strlcpy" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0xd329c8a8, "snd_pcm_lib_ioctl" },
	{ 0x2edef863, ".snd_ctl_new1" },
	{ 0x7517b51d, ".input_free_device" },
	{ 0x5938e274, ".usb_deregister" },
	{ 0xb11fa1ce, ".strlcat" },
	{ 0x9514151a, "._mcount" },
	{ 0x30002a0b, ".usb_submit_urb" },
	{ 0x99ed9701, ".usb_register_driver" },
	{ 0x83d18995, ".snd_rawmidi_receive" },
	{ 0x90d1d304, ".input_event" },
	{ 0xc2fde0c4, ".snd_pcm_limit_hw_rates" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x3fa03a97, ".memset" },
	{ 0x6cdc0dd0, ".input_unregister_device" },
	{ 0xac24b1b2, ".snd_card_free" },
	{ 0x8e3f57e0, ".snd_rawmidi_set_ops" },
	{ 0x13e2df88, ".snd_rawmidi_new" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x5c3a18d2, ".usb_kill_urb" },
	{ 0x64de7f6b, ".dev_set_drvdata" },
	{ 0x27e1a049, ".printk" },
	{ 0xe409f887, ".dev_get_drvdata" },
	{ 0xd769cb9a, ".input_allocate_device" },
	{ 0x200d6840, ".snd_ctl_add" },
	{ 0x2ca512f7, ".snd_card_set_id" },
	{ 0x8d9a6e85, ".snd_card_create" },
	{ 0x85144513, ".usb_reset_device" },
	{ 0xf34d880c, ".input_set_abs_params" },
	{ 0xaf2d872c, ".prepare_to_wait" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,snd,snd-pcm,snd-rawmidi";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "6A970E48C85EF0ADB718E9B");
