#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0x9514151a, "_mcount" },
	{ 0x4f8e7e00, ".usb_free_urb" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0xd0031bd3, ".usb_alloc_coherent" },
	{ 0x9edbecae, ".snprintf" },
	{ 0x3b25ff32, ".usb_control_msg" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0x315b4eb3, ".input_register_device" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x37a0cba, ".kfree" },
	{ 0x6034ffd, ".usb_alloc_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xd8bb72d4, ".mutex_lock" },
	{ 0x26bc45e2, ".usb_bulk_msg" },
	{ 0xcc9169eb, ".usb_autopm_put_interface" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x672144bd, ".strlcpy" },
	{ 0x7517b51d, ".input_free_device" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0x5938e274, ".usb_deregister" },
	{ 0xb11fa1ce, ".strlcat" },
	{ 0x9514151a, "._mcount" },
	{ 0x30002a0b, ".usb_submit_urb" },
	{ 0x2f4a87a0, ".usb_autopm_get_interface" },
	{ 0xc499ae1e, ".kstrdup" },
	{ 0x99ed9701, ".usb_register_driver" },
	{ 0x90d1d304, ".input_event" },
	{ 0x6067a146, ".memcpy" },
	{ 0x3fa03a97, ".memset" },
	{ 0x6cdc0dd0, ".input_unregister_device" },
	{ 0x5c3a18d2, ".usb_kill_urb" },
	{ 0x64de7f6b, ".dev_set_drvdata" },
	{ 0x27e1a049, ".printk" },
	{ 0xe409f887, ".dev_get_drvdata" },
	{ 0xd769cb9a, ".input_allocate_device" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x8af4204b, ".mutex_unlock" },
	{ 0x41542759, ".usb_free_coherent" },
	{ 0xf34d880c, ".input_set_abs_params" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic03isc*ip02*");
MODULE_ALIAS("usb:v3823p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v3823p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0123p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EEFp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v134Cp0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0596p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0403pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v16E3pF9E9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1234p5678d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0637p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0AFAp03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v595Ap0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6615p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1391p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DFCp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p007Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00CEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F2p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F92p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1AC7p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14C8p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0309d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0664p0306d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10F0p2002d*dc*dsc*dp*ic0Aisc00ip00*");
MODULE_ALIAS("usb:v1870p0001d*dc*dsc*dp*ic0Aisc00ip00*");

MODULE_INFO(srcversion, "C6C9F8802088141AACA6BAD");
