#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0x99052ae8, ".fw_core_remove_address_handler" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x9514151a, "_mcount" },
	{ 0xfb4b0fdb, ".dvb_dmx_swfilter_packets" },
	{ 0xc09651d9, ".crc32_be" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x21d2d57e, ".__mutex_init" },
	{ 0x5a8aeee2, ".fw_iso_buffer_init" },
	{ 0xead58fb9, ".print_hex_dump" },
	{ 0xff50f3a5, ".fw_iso_context_start" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xdcb5671d, ".strlen" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0xd9cca8bd, ".mutex_lock_interruptible" },
	{ 0x315b4eb3, ".input_register_device" },
	{ 0x93a767f0, ".dvb_net_release" },
	{ 0x9d5df560, ".dev_err" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xa39a8f2a, "fw_bus_type" },
	{ 0x82b5af3e, "._dev_info" },
	{ 0xc61f503, ".dvb_dmxdev_release" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0x37a0cba, ".kfree" },
	{ 0xd697e69a, ".trace_hardirqs_on" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x85abc85f, ".strncmp" },
	{ 0xc29438d3, ".dvb_register_device" },
	{ 0xce97292b, ".fw_iso_buffer_destroy" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xe4cb60ee, ".fw_iso_context_create" },
	{ 0xf5cf326a, "param_ops_short" },
	{ 0x4ed2bd51, ".fw_iso_context_queue_flush" },
	{ 0xd8bb72d4, ".mutex_lock" },
	{ 0xf5866b1d, ".driver_register" },
	{ 0xd42123ae, "dvb_generic_release" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0xb06fe37a, ".dvb_dmx_release" },
	{ 0x4240ccd9, "mem_section" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0xf56ff122, "noop_llseek" },
	{ 0x4f53501f, ".dvb_dmx_init" },
	{ 0xb5a3e7bb, ".fw_iso_context_destroy" },
	{ 0x7517b51d, ".input_free_device" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0xf89843f9, ".schedule_work" },
	{ 0x453a940f, ".fw_csr_string" },
	{ 0xaae836d9, ".dvb_net_init" },
	{ 0x529a4723, ".dvb_unregister_frontend" },
	{ 0x9514151a, "._mcount" },
	{ 0xb789f2fc, ".fw_iso_context_queue" },
	{ 0xde054e21, "dvb_generic_ioctl" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0x90d1d304, ".input_event" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x51254223, "dvb_generic_open" },
	{ 0xb8c56aba, ".fw_iso_context_stop" },
	{ 0xff7727c2, ".fw_core_add_address_handler" },
	{ 0xe914e41e, ".strcpy" },
	{ 0x2d2bde8a, ".driver_unregister" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x5358d221, ".dvb_register_frontend" },
	{ 0x3fa03a97, ".memset" },
	{ 0xabe92a9, ".dvb_register_adapter" },
	{ 0x6cdc0dd0, ".input_unregister_device" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x40b79145, ".dvb_dmxdev_init" },
	{ 0x64de7f6b, ".dev_set_drvdata" },
	{ 0x2a45bb07, ".dvb_unregister_device" },
	{ 0x27e1a049, ".printk" },
	{ 0xe409f887, ".dev_get_drvdata" },
	{ 0xd769cb9a, ".input_allocate_device" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x35a1e202, ".dvb_unregister_adapter" },
	{ 0x8af4204b, ".mutex_unlock" },
	{ 0xc2a229ae, ".fw_run_transaction" },
	{ 0xaf2d872c, ".prepare_to_wait" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=firewire-core,dvb-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "C6220D763DE3C55ABB8C270");
