#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0xc450283b, "rt2x00mac_bss_info_changed" },
	{ 0x11656d16, "rt2x00mac_get_ringparam" },
	{ 0x7117549f, "rt2x00usb_flush_queue" },
	{ 0x9514151a, "_mcount" },
	{ 0x6c72d10f, "rt2x00usb_initialize" },
	{ 0x6db867ff, "rt2x00usb_uninitialize" },
	{ 0x97eb202d, "rt2x00mac_set_antenna" },
	{ 0x27d79696, ".consume_skb" },
	{ 0x361f5045, "rt2x00usb_resume" },
	{ 0x32efdd71, ".rt2x00usb_vendor_request_buff" },
	{ 0xf0d3ca46, "rt2x00usb_kick_queue" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x2b4c9eb1, "rt2x00mac_tx" },
	{ 0xba7d62e, "rt2x00mac_flush" },
	{ 0x8e99211f, "rt2x00usb_disconnect" },
	{ 0x1ff5547f, "rt2x00mac_configure_filter" },
	{ 0x8083265a, ".skb_trim" },
	{ 0xccb2eae7, ".skb_push" },
	{ 0xd8bb72d4, ".mutex_lock" },
	{ 0xeb5b4988, "rt2x00mac_stop" },
	{ 0x4ce9b574, "rt2x00mac_set_tim" },
	{ 0xf8c00e83, "rt2x00mac_rfkill_poll" },
	{ 0xb4d83ba4, "rt2x00mac_start" },
	{ 0xf9528956, "rt2x00mac_conf_tx" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xf82741e2, "rt2x00usb_clear_entry" },
	{ 0x3398f38f, "rt2x00usb_suspend" },
	{ 0x848b7779, "rt2x00mac_config" },
	{ 0x8703ac35, "rt2x00usb_watchdog" },
	{ 0x9cabc42f, "rt2x00mac_remove_interface" },
	{ 0x5938e274, ".usb_deregister" },
	{ 0x9514151a, "._mcount" },
	{ 0x30002a0b, ".usb_submit_urb" },
	{ 0x99ed9701, ".usb_register_driver" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x6067a146, ".memcpy" },
	{ 0x11538d74, ".rt2x00usb_vendor_request" },
	{ 0xf7cb87f1, "rt2x00mac_tx_frames_pending" },
	{ 0xd21eab07, "rt2x00mac_sw_scan_start" },
	{ 0xcc0e2ec9, "rt2x00mac_set_key" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x27e1a049, ".printk" },
	{ 0xd0a3e9fd, ".rt2x00usb_disable_radio" },
	{ 0x61f91dfa, ".rt2x00usb_probe" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x8af4204b, ".mutex_unlock" },
	{ 0x7e7982d0, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0xa473cffe, "rt2x00mac_get_stats" },
	{ 0x456d150c, "rt2x00mac_get_antenna" },
	{ 0x4a160c15, "rt2x00mac_add_interface" },
	{ 0xbe7f6606, "rt2x00mac_sw_scan_complete" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1934EC992DE3560753440CB");
