#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x28d9d4c7, "module_layout" },
	{ 0x405c1144, ".get_seconds" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x9514151a, "_mcount" },
	{ 0xd5f2172f, ".del_timer_sync" },
	{ 0xf7b67983, ".snd_rawmidi_transmit_ack" },
	{ 0x4f8e7e00, ".usb_free_urb" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0xc1cf957, ".device_remove_file" },
	{ 0x2ed260e3, ".snd_card_register" },
	{ 0x839f5a78, ".snd_pcm_lib_preallocate_pages_for_all" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x3b25ff32, ".usb_control_msg" },
	{ 0x4ba1c5ae, ".sysfs_remove_link" },
	{ 0x53654e9e, ".__snd_printk" },
	{ 0x106fd62c, ".snd_rawmidi_transmit_peek" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0x60e754b8, ".usb_put_intf" },
	{ 0x5e8ba06c, ".snd_pcm_new" },
	{ 0x9d5df560, ".dev_err" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0xb14754ea, ".usb_get_dev" },
	{ 0xb49406dd, ".snd_pcm_hw_constraint_ratdens" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0x82b5af3e, "._dev_info" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0x9e4c7c98, ".usb_set_interface" },
	{ 0x279c9c52, ".snd_pcm_lib_malloc_pages" },
	{ 0x37a0cba, ".kfree" },
	{ 0x9596810b, ".snd_pcm_stop" },
	{ 0x21d75c9b, ".snd_pcm_lib_free_pages" },
	{ 0x6034ffd, ".usb_alloc_urb" },
	{ 0x81839d79, ".snd_pcm_set_ops" },
	{ 0x7d11c268, "jiffies" },
	{ 0x7897598, ".device_create_file" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0x270cd18b, ".usb_put_dev" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0x2d79017, ".snd_pcm_period_elapsed" },
	{ 0x3c80c06c, ".kstrtoull" },
	{ 0x68a24153, ".snd_pcm_format_physical_width" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x6e278027, ".snd_card_disconnect" },
	{ 0xd329c8a8, "snd_pcm_lib_ioctl" },
	{ 0x2edef863, ".snd_ctl_new1" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0x5938e274, ".usb_deregister" },
	{ 0xf89843f9, ".schedule_work" },
	{ 0x5a9149cb, ".snd_device_new" },
	{ 0x1000e51, ".schedule" },
	{ 0x9514151a, "._mcount" },
	{ 0x30002a0b, ".usb_submit_urb" },
	{ 0xa80cfda1, ".usb_interrupt_msg" },
	{ 0x4c869757, ".sysfs_create_link" },
	{ 0x99ed9701, ".usb_register_driver" },
	{ 0x83d18995, ".snd_rawmidi_receive" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x779a18af, ".kstrtoll" },
	{ 0x56df7472, ".usb_get_intf" },
	{ 0xe914e41e, ".strcpy" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x3fa03a97, ".memset" },
	{ 0xb63c9166, ".snd_pcm_suspend_all" },
	{ 0xac24b1b2, ".snd_card_free" },
	{ 0x8e3f57e0, ".snd_rawmidi_set_ops" },
	{ 0x13e2df88, ".snd_rawmidi_new" },
	{ 0xbe2c0274, ".add_timer" },
	{ 0x479c3c86, ".find_next_zero_bit" },
	{ 0xc996d097, ".del_timer" },
	{ 0x5c3a18d2, ".usb_kill_urb" },
	{ 0x64de7f6b, ".dev_set_drvdata" },
	{ 0x27e1a049, ".printk" },
	{ 0xe409f887, ".dev_get_drvdata" },
	{ 0x200d6840, ".snd_ctl_add" },
	{ 0x48cfa20c, ".usb_unlink_urb" },
	{ 0x8d9a6e85, ".snd_card_create" },
	{ 0x20000329, ".simple_strtoul" },
	{ 0xaf2d872c, ".prepare_to_wait" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-rawmidi,usbcore,snd,snd-pcm";

MODULE_ALIAS("usb:v0E41p4250d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4642d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4252d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4750d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4153d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4151d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5044d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4650d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4147d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4141d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4142d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p534Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1F3A43F072BEB078165601C");
